CentOS完全编译安装最新版LAMP


文章比较早,阿里云也发生了不少变化,当然系统一如既往的旧,推荐大家去阅读一些更新的文章。-2014.1.20

阿里云的centos源比较老,php,httpd,mysql都不怎么新,php竟然还是5.1.16版本,现在最新都5.4.7了,漏洞多不说,很多组件也不兼容,因此完全编译安装以下:

PHP 5.4.7

HTTPD  2.4.3

MySQL Community Server 5.5.28

1、安装httpd

首先安装必须的环境

下载所有安装包,包括apr,apr-util,httpd,pcre

解压pcre并安装 继续阅读CentOS完全编译安装最新版LAMP